apply plugin: 'com.android.application'

android {
    signingConfigs {
    }
    compileSdkVersion 26
    buildToolsVersion '27.0.3'
    defaultConfig {
        applicationId "com.usai.apex"
        minSdkVersion 16
        targetSdkVersion 25
//        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled true
            zipAlignEnabled true
            shrinkResources true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-project.txt'
        }
        debug {
//            minifyEnabled true
//            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-project.txt'
        }
    }
    sourceSets {
        main {
            jniLibs.srcDir 'libs'
            //说明so的路径为该libs路径，关联所有地图SDK的so文件
        }
    }

}

dependencies {
    //    compile 'com.android.support:support-v4:19.1.0'

    implementation files('libs/bcprov-jdk15on-157.jar')
    api 'com.android.support:appcompat-v7:26.1.0'
    api 'com.android.support:support-v4:26.1.0'
    api 'com.android.support.constraint:constraint-layout:1.0.2'
    api 'com.android.support:design:26.1.0'
    //    compile 'com.android.support:recyclerview-v7:26.1.0'
//    compile 'com.google.android.gms:play-services:11.0.4'
    api 'com.google.android.gms:play-services-maps:11.4.2'
    api 'com.google.android.gms:play-services-location:11.4.2'
    //    compile files('libs/baidumapapi_base_v3_7_1.jar')
    //    compile files('libs/baidumapapi_map_v3_7_1.jar')
    implementation files('libs/httpmime-4.1.1.jar')
    implementation files('libs/core-2.3.0.jar')
    api 'com.github.barteksc:android-pdf-viewer:3.0.0-beta.5'
    implementation files('libs/BaiduLBS_Android.jar')
}
android {
    useLibrary 'org.apache.http.legacy'
}
